Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Lisp chèn nhanh point vào mid center của nhiều text


  • Please log in to reply
3 replies to this topic

#1 victor85

victor85

    biết lệnh stretch

  • Members
  • PipPipPip
  • 169 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 11 October 2012 - 11:15 AM

Các bác viết dùm em lisp chèn nhanh point số lượng lớn vào mid center của nhiều text mình chọn với.
Lisp: pmt.lsp
Chọn: các text đầu vào (text chỉ nhận loại text định nghĩa mid center)
Kết quả thì chèn được point vào các text đó.
Cho em cảm ơn các bác trước nhé!
  • 0

#2 tien2005

tien2005

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 257 Bài viết
Điểm đánh giá: 94 (tàm tạm)

Đã gửi 11 October 2012 - 01:36 PM

Bạn thử xem

(defun c:pmt ( / SS N)
(princ "\nChon cac text")
(setq ss (ssget '((-4 . "<and") (0 . "TEXT")(72 . 1)(73 . 2)(-4 . "and>"))))
(while (setq n (ssname ss 0))
(entmake(list '(0 . "POINT") (cons 10 (CDR(ASSOC 11 (entget N))))))
(SSDEL N SS)
)
(princ)
)

  • 2

#3 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 11 October 2012 - 01:46 PM

Với filter như thế này bạn k cần mã and nữa

(mapcar
'(lambda(x)
(entmake (list (cons 0 "POINT")(cons 10 (cdr (assoc 11 (entget x))))))
)
(acet-ss-to-list (ssget (list (cons 0 "TEXT")(cons 72 1)(cons 73 2))))
)

  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#4 victor85

victor85

    biết lệnh stretch

  • Members
  • PipPipPip
  • 169 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 15 October 2012 - 02:56 PM

lisp chạy ok rồi bác ạ. cảm ơn bác nhé!
  • 0